//
// MYAPP.H - The class definition for TMyApp.
//
//  Copyright (C) Borland International, 1991.
//
//

//
// class TMyApp
//      The application object, derived from the abstract class TApplication
//
// Member functions:
//      TMyApp - Constructor
//      initMenuBar - custom menu
//      initStatusLine - custom status line
//      handleEvent - now handling menu events
//      aboutDlg - creates and shows about box
//      funkView - punch up the funky view
//

class TMyApp : public TApplication
{

public:

    TMyApp();
    static TMenuBar *initMenuBar( TRect r );
    static TStatusLine *initStatusLine( TRect r );
    virtual void handleEvent( TEvent& event);

private:

    void aboutDlg();
    void funkView();

// Desktop Stream functions.

    void restoreDeskTop();
    void loadDeskTop(fpstream& s);
    void storeDeskTop(fpstream& s);
    void saveDeskTop();

};
